Skip to content

Name Matching

| View as Markdown

This API is to compare two names and return the match percentage for that name as mentioned on the document and mentioned by an individual or any two documents. We must pass fname and sname along with api key and processor key in request. If the request has valid details, we will get a status, fail or success message and data: match – yes/no and match_percentage.

https://kraken.airpay.co.in/airpay/ms/baas/api/name-match
FieldTypeDescription
affiliateTextWill be provided by Airpay (required)
checksumText$string = $param.self::$secret_key; sha256(<concate all values+SECRET KEY>); (required)
api-keyTextWill be provided by airpay ( required)
processor-keyTextWill be provided by airpay ( required)
FieldTypeDescription
fnameTextFirst Name (length 100, required)
snameTextSecond Name (length 100, required)
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/baas/api/name-match' \
--header 'api-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'fname=jishnu' \
--data-urlencode 'sname=jishnu1'
FieldTypeDescription
statusNumeric[400-fail,200- success](length 3)
messagetext[success, fail]
datatext{ “match”: “NO”, “match_percentage”: “92”} (Note:match percentage means the percentage of similarity between First Name and Second Name. If match percentage is 100% then match will be Yes)
{
{
"status": "200",
"message": "success",
"data": {"match": "No", "match_percentage":"92"}
}
}
{
"status": "400",
"message": "Failed",
"data": ""
}